﻿
Imports Item
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Collections

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        WebDropDown1.DataSource = New BindingList(Of Item)() From { _
            New Item(1, "item1"), _
            New Item(2, "item2"), _
            New Item(3, "item3") _
                                 }

        WebDropDown1.ValueField = "value"
        WebDropDown1.TextField = "text"
        WebDropDown1.DataBind()

        Dim index = WebDropDown1.Items.FindItemByValue("1")
        WebDropDown1.SelectedItemIndex = index.Index

    End Sub

    Protected Sub WebDropDown2_ItemsRequested(sender As Object, e As Infragistics.Web.UI.ListControls.DropDownItemsRequestedEventArgs) Handles WebDropDown2.ItemsRequested


        Dim selectedValue As Integer = Integer.Parse(e.Value.ToString())

        Dim persons As List(Of Person) = DataProvider()
        Dim filtered As List(Of Person) = persons.Where(Function(p) p.ID = selectedValue).ToList()

        Me.WebDropDown2.DataSource = filtered
        Me.WebDropDown2.TextField = "Fname"






        'Dim CoEntry As Integer

        'WebDropDown2.Items.Clear()

        'WebDropDown2.Items.Add(New Infragistics.Web.UI.ListControls.DropDownItem("", ""))

        'CoEntry = WebDropDown2.Items.IndexOf(WebDropDown2.Items.FindItemByValue("1"))

        'If CoEntry > 0 Then

        '    WebDropDown2.SelectedItemIndex = CoEntry

        '    WebDropDown2.CurrentValue = WebDropDown2.Items(CoEntry).Text

        '    WebDropDown2.ValueField = WebDropDown2.Items(CoEntry).Value

        '    WebDropDown2.TextField = WebDropDown2.Items(CoEntry).Text
        'End If

    End Sub



    Private Function DataProvider() As List(Of Person)
        Dim list As New List(Of Person)()
        list.Add(New Person() With { _
         .ID = 1, _
         .Fname = "Rado", _
         .Sname = "Minchev" _
        })
        list.Add(New Person() With { _
         .ID = 1, _
         .Fname = "Vlado", _
         .Sname = "Zagorski" _
        })
        list.Add(New Person() With { _
         .ID = 2, _
         .Fname = "Alex", _
         .Sname = "Fidanov" _
        })
        list.Add(New Person() With { _
         .ID = 2, _
         .Fname = "Ivan", _
         .Sname = "Simeonov" _
        })
        list.Add(New Person() With { _
         .ID = 3, _
         .Fname = "Anton", _
         .Sname = "Staikov" _
        })
        list.Add(New Person() With { _
         .ID = 3, _
         .Fname = "Dimi", _
         .Sname = "Gineva" _
        })
        list.Add(New Person() With { _
         .ID = 4, _
         .Fname = "Danko", _
         .Sname = "Valkov" _
        })
        list.Add(New Person() With { _
         .ID = 1, _
         .Fname = "Cveti", _
         .Sname = "Georgieva" _
        })
        Return list
    End Function

    
    Protected Sub WebDropDown2_Load(sender As Object, e As System.EventArgs) Handles WebDropDown2.Load
        Dim selectedValue As Integer = Integer.Parse(WebDropDown1.SelectedValue.ToString())

        Dim persons As List(Of Person) = DataProvider()
        Dim filtered As List(Of Person) = persons.Where(Function(p) p.ID = selectedValue).ToList()

        Me.WebDropDown2.DataSource = filtered
        Me.WebDropDown2.TextField = "Fname"
    End Sub
End Class


Public Class Person
    Public Property ID() As Integer
        Get
            Return m_ID
        End Get
        Set(value As Integer)
            m_ID = Value
        End Set
    End Property
    Private m_ID As Integer
    Public Property Fname() As String
        Get
            Return m_Fname
        End Get
        Set(value As String)
            m_Fname = Value
        End Set
    End Property
    Private m_Fname As String
    Public Property Sname() As String
        Get
            Return m_Sname
        End Get
        Set(value As String)
            m_Sname = Value
        End Set
    End Property
    Private m_Sname As String

End Class
